api/v1/orders/{id}
Method: GET https://developers.mobilemanager.co.uk/api/v1/orders/{id}
Summary
Get a single order
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The unique order id |
globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
OrderResultsViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Bolton | string |
None. |
|
| BoltonId | globally unique identifier |
None. |
|
| Ceased | date |
None. |
|
| Completed | date |
None. |
|
| Created | date |
None. |
|
| Customer | string |
None. |
|
| ICCID | string |
None. |
|
| Id | globally unique identifier |
None. |
|
| MobileNumber | string |
None. |
|
| SimId | globally unique identifier |
None. |
|
| PlacedBy | string |
None. |
|
| Tariff | string |
None. |
|
| TariffId | globally unique identifier |
None. |
|
| Type | string |
None. |
|
| CustomerId | globally unique identifier |
None. |
|
| ResellerId | globally unique identifier |
None. |
|
| PreviousTariff | string |
None. |
|
| PreviousTariffId | globally unique identifier |
None. |
|
| State | OrderState |
None. |
|
| BillingSiteId | string |
None. |
|
| Delivery | OrderDeliveryModel |
None. |
|
| SimTypeLabel | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Bolton": "sample string 1",
"BoltonId": "fb8529d5-9557-4c64-8694-fba2e84b1fab",
"Ceased": "2026-06-26T08:47:06.0916249+00:00",
"Completed": "2026-06-26T08:47:06.0916249+00:00",
"Created": "2026-06-26T08:47:06.0916249+00:00",
"Customer": "sample string 3",
"ICCID": "sample string 4",
"Id": "8f98aee1-382a-40ae-b851-d7285bc7cc04",
"MobileNumber": "sample string 6",
"SimId": "04b16d9b-f2a1-44c4-9a68-c566acf68e08",
"PlacedBy": "sample string 7",
"Tariff": "sample string 8",
"TariffId": "f492b4d8-6664-448f-aa4f-205de403bce2",
"Type": "sample string 9",
"CustomerId": "2b1c9faf-5647-4624-ac73-d9886d647fff",
"ResellerId": "a68a4030-7737-4cb4-bbaf-2e562849f88b",
"PreviousTariff": "sample string 11",
"PreviousTariffId": "8ea5dd7b-86ae-45aa-8f7f-f5f40925f049",
"State": 0,
"BillingSiteId": "sample string 12",
"Delivery": {
"TrackingReference": "sample string 1",
"TrackingUrl": "sample string 2",
"EstimatedDelivery": "sample string 3",
"State": 0,
"Courier": "sample string 4",
"SignedForBy": "sample string 5",
"DeliveredDate": "2026-06-26T08:47:06.0916249+00:00"
},
"SimTypeLabel": "sample string 13"
}
application/xml, text/xml
Sample:
<OrderResultsViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/SimPortalApi.Models.Orders"> <Bolton>sample string 1</Bolton> <BoltonId>fb8529d5-9557-4c64-8694-fba2e84b1fab</BoltonId> <Ceased>2026-06-26T08:47:06.0916249+00:00</Ceased> <Completed>2026-06-26T08:47:06.0916249+00:00</Completed> <Created>2026-06-26T08:47:06.0916249+00:00</Created> <Customer>sample string 3</Customer> <ICCID>sample string 4</ICCID> <Id>8f98aee1-382a-40ae-b851-d7285bc7cc04</Id> <MobileNumber>sample string 6</MobileNumber> <PlacedBy>sample string 7</PlacedBy> <SimId>04b16d9b-f2a1-44c4-9a68-c566acf68e08</SimId> <SimTypeLabel>sample string 13</SimTypeLabel> <Tariff>sample string 8</Tariff> <TariffId>f492b4d8-6664-448f-aa4f-205de403bce2</TariffId> <Type>sample string 9</Type> </OrderResultsViewModel>